Bug 187 - snprintf compile problem on HPUX
snprintf compile problem on HPUX
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
: P2 normal
: none
Assigned To: Tim Potter
Depends on:
  Show dependency treegraph
Reported: 2003-06-24 00:02 UTC by Tim Potter
Modified: 2005-11-14 09:30 UTC (History)
1 user (show)

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description Tim Potter 2003-06-24 00:02:27 UTC
Because the HPUX 11 snprintf function isn't C99 compliant, we attempt to replace
it.  Unfortunately the vendor prototype differs from ours (^#*$&*$ const) so the
build fails:

lib/snprintf.c:832: conflicting types for `snprintf'
previous declaration of `snprintf'
make: *** [lib/snprintf.o] Error 1

I thought I had fixed this but I think the build farm took too long to start
another compile and it slipped my mind.
Comment 1 Tim Potter 2003-06-24 00:02:42 UTC
assigning to me
Comment 2 Tim Potter 2003-07-22 21:10:04 UTC
I've pushed a stupid preprocessor trick in to the tree for testing on the
hpntc9I build farm machine to try out.

It seems to compile at sporadic intervals so it may be a day or so before a
result comes in.
Comment 3 Tim Potter 2003-07-24 16:46:46 UTC
Seems to be fixed now, although the HPUX machine is crashing for a different reason.
Comment 4 Gerald (Jerry) Carter 2005-02-07 08:39:30 UTC
originally reported against 3.0.0beta1.  CLeaning out 
non-production release versions.
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:19:33 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 6 Gerald (Jerry) Carter 2005-11-14 09:30:49 UTC
database cleanup